* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px;
  font-family: 'Helvetica', sans-serif;
}

body::before {
  content: "";
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
  right: 0;
  background-image: url(../img/grid.svg);
  -webkit-mask-image: linear-gradient(to bottom right, #fff, transparent 85%);
  mask-image: linear-gradient(to bottom right, #fff, transparent 85%);
  height: 100%;
}

.container {
  max-width: 700px;
  width: 100%;
  background-color: #fff;
  padding: 25px 30px;
  border-radius: 5px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15);
}

.container .title {
  font-size: 25px;
  font-weight: 500;
  position: relative;
	margin-bottom: 20px; /* Fügt mehr Abstand nach unten hinzu */
}

.container .title::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  height: 3px;
  width: 30px;
  border-radius: 5px;
  background-color: #fa9b07;
}

form .input-box {
  margin-bottom: 15px;
  width: 100%;
}

form .input-box span.details {
  display: block;
  font-weight: 500;
  margin-bottom: 5px;
}

.input-box input {
  height: 45px;
  width: 100%;
  outline: none;
  font-size: 16px;
  border-radius: 5px;
  padding-left: 15px;
  border: 1px solid #ccc;
  border-bottom-width: 2px;
  transition: all 0.3s ease;
}

/* E-Mail-Feld soll genauso breit wie der Button sein */
.input-box,
.button {
  width: 100%;
}

.input-box input:focus,
.input-box input:valid {
  border-color: #fa9b07;
}

form .button {
  height: 45px;
  margin: 35px 0;
}

.button button {
  height: 45px;
  width: 100%;
  border-radius: 5px;
  border: none;
  color: #fff;
  font-size: 18px;
  font-weight: 500;
  letter-spacing: 1px;
  cursor: pointer;
  transition: all 0.3s ease;
  background-color: #fa9b07;
  padding: 10px 20px;
}

.button button:hover {
  transform: scale(1.05);
}

@media (max-width: 584px) {
  .container {
    max-width: 100%;
  }
  form .input-box {
    width: 100%;
  }
}

@media (max-width: 459px) {
  .container .content .category {
    flex-direction: column;
  }
}
